%------------------------------------------------------------------------
% Routine     : eusimtxt
%
% Description : Configuring excitation-parameters (PW) - txt-file
%
% Language    : MATLAB 4.1
% Written by  : Vebjorn Berre 12/5-93
%
% Version no. : 3.0
% Version no. : 3.1 TKL 27.07.93 #osc now has the %6.1 format 
% Version no. : 3.2 FT  23.08.93 New option, User-defined pulse
% Version no. : 3.3 FT  06.01.94 Calling pulsetxt
%             : 3.4 FT  19.01.94 Added ; after fprintf-statements
%             : 3.5 FT  08.02.94 Changed Interp.fact. to quantizing on/off
%             : 3.6 FT  28.02.94 Sampling freq. only displayed when quant. on
%             : 3.7 SH  16.03.95 Spelling error of weighting


%
% Called by   : eusim
%------------------------------------------------------------------------

fprintf(fid,'\t\t--------     EXCITATION SUBMENU     -----\n');
fprintf(fid,'\n');
fprintf(fid,'1)  Frequency\t\t\t\t\t: %6.2f MHz \n',excitation(1)/1e6);
if ~excitation(13)
  fprintf(fid,['9)  Transmitted pulse length (# oscillations)',...
	  '\t: %6.1f  \n'],excitation(9));
  fprintf(fid,'10) Pulse Weighting (none = 0, cosine = 1) \t: %6.0f \n',...
          excitation(10));
end
if excitation(12)
  fprintf(fid,'11) Sampling frequency (Fs) \t \t \t: %6.2f MHz \n',...
      excitation(11)/1e6);
  fprintf(fid,'12) Quantizing of Time Delays \t \t \t:  On \n');
else
  fprintf(fid,'12) Quantizing of Time Delays \t \t \t:  Off \n');
end;
fprintf(fid,['13) Pulse Type   \t\t\t\t: ',pulsetxt(excitation(13)),'\n']);
fprintf(fid,'\n');
