function [pvec,plength] = makepuls(excitation,pvector);

%------------------------------------------------------------------------
% Routine         : makepuls.m
%
% Description     : Creates a vector, pvec, by interpolating the elements of
%		    pvector, which contains a user-defined pulse. pvec has a 
%		    standard size of 1000 elements, and is used as an input
%		    to beampat together with plenght, which is the time from
%		    the first sample of pvec to the last. 
%
% Language        : Matlab 4.1
% Written by      : Frode Teigen (IBT)
% 
% Version no.     : 1.0 FT 01.08.93
% Version no.	  : 2.0 FT 06.01.93 Removed normalization of amplitude 
%
% Called by       : usimcnf
% -----------------------------------------------------------------------

dt = pvector(1);
pvector = pvector(1,2:length(pvector));
plength = (length(pvector)-1)*dt;
tvector = 0:dt:plength';
tvec = 0:plength/1000:plength;
pvec = interp1(tvector,pvector,tvec,'spline');
pvec = pvec';
return

