%------------------------------------------------------------------------
% Routine     : o2ausimt   
%
% Description : Configuring observation-parameters LINE axis - txt-file
%
% Language    : Matlab 4.1
% Written by  : Vebjorn Berre, IBT
%
% Version no. : 3.0 VEB 12.05.93
% Version no. : 3.1 TKL 07.09.93 corrected comments
%	      : 3.2 FT  19.01.94 Added ; after fprintf-statements
%             : 3.3 FT  08.02.94 y and t not displayed if media is 2D
%             : 3.4 SH   6.12.94 Shortened from o2ausimtxt to o2ausimt
%               3.5 SH  11.04.95 Added flagg(4)=4 for sin(theta) as axis
% Called by   : o2ausim
% Calling     : none
%------------------------------------------------------------------------


  % Observation-parameters submenu
  % ------------------------------------------------------------------------

fprintf(fid,'\t\t-------      OBSERVATION SUBMENU      --------- \n');
  fprintf(fid,['Linetype	:  ', num2str(obstxt(option)),'\n']);
  fprintf(fid,['Coordinates	:  ', num2str(coordtxt(flagg(4))),'\n']);
  fprintf(fid,'\n');
  fprintf(fid,['1) # pixels along one axis	:  ' num2str(observasjon(9)),'\n']);
  
  if option(2)==fast(1) 
    ind=[1 2 3 4];
    observasjon(2)=observasjon(6);
    observasjon(3)=observasjon(7);
    observasjon(4)=observasjon(8);
  elseif (option(2)==fast(2) | option(2)==fast(4)) & flagg(3)==2
    option(2) = fast(3);
    ind=[3 1 2 4]; 
    observasjon(2)=observasjon(6);
    observasjon(1)=observasjon(5);
    observasjon(4)=observasjon(8);
  elseif option(2)==fast(2) 
    ind=[2 1 3 4]; 
    observasjon(1)=observasjon(5);
    observasjon(3)=observasjon(7);
    observasjon(4)=observasjon(8);
  elseif option(2)==fast(3) 
    ind=[3 1 2 4]; 
    observasjon(2)=observasjon(6);
    observasjon(1)=observasjon(5);
    observasjon(4)=observasjon(8);
  elseif option(2)==fast(4) 
    ind=[4 1 2 3]; 
    observasjon(2)=observasjon(6);
    observasjon(3)=observasjon(7);
    observasjon(1)=observasjon(5);
  else 
    option(2)=fast(1); 
    ind=[1 2 3 4];
    observasjon(2)=observasjon(6);
    observasjon(3)=observasjon(7);
    observasjon(4)=observasjon(8);
  end
  
  tekst = num2str(option(2));
  if tekst=='h'
    tekst = 'theta';
  elseif tekst=='p'
    tekst = 'phi';
  elseif tekst=='e'
    tekst = 'sin(theta)';    
  elseif tekst=='s'
    tekst = 'sin(phi)';
    end
  fprintf(fid,['2) Selected axis	:  ',tekst,'\n']);
  fprintf(fid,'\n');
  
  tekst=fixtxt(fast(ind(1)),observasjon(ind(1)));
  fprintf(fid,['3) Start value of ',tekst,'\n']);
  tekst=fixtxt(fast(ind(1)),observasjon(ind(1)+4));
  fprintf(fid,['4) End value of ',tekst,'\n']);
  fprintf(fid,'\n');
  if flagg(3)~=2 | fast(ind(2))=='x' | fast(ind(2))=='r'
    tekst=fixtxt(fast(ind(2)),observasjon(ind(2)));
    fprintf(fid,['5) Fixed value of ',tekst,'\n']);
  end  
  if flagg(3)~=2 | fast(ind(3))=='z' | fast(ind(3))=='p'
    tekst=fixtxt(fast(ind(3)),observasjon(ind(3)));
    fprintf(fid,['6) Fixed value of ',tekst,'\n']);
  end  
  if flagg(3)~=2
    tekst=fixtxt(fast(ind(4)),observasjon(ind(4)));
    fprintf(fid,['7) Fixed value of ',tekst,'\n']);
  end
  fprintf(fid,'\n');


