%------------------------------------------------------------------------
% Routine     : isobj.m
%
% Description :  ISOBJ	True for objects
%                ISOBJ(X) returns 1's where the elements of X are
%                valid handles and 0's where they are not.
%
% Language    : Matlab 4.1
% Written by  : Keith Rogers (Transferred from the Mathworks ftp-site)
%
% Version no. : 1.0 KR 30.11.93 First version
%
% Called by   : tselusim, isobj
% Calling     : 
%------------------------------------------------------------------------

function boolean  = isobj(handle,currobj)

if nargin == 1,
	currobj = 0;
end
boolean = (handle == currobj);
if(strcmp(get(currobj,'Type'),'axes'));
	boolean = boolean | (handle == get(currobj,'xlabel'));
	boolean = boolean | (handle == get(currobj,'ylabel'));
	boolean = boolean | (handle == get(currobj,'zlabel'));
	boolean = boolean | (handle == get(currobj,'title'));
end
children = get(currobj,'Children');
if(children)
	for i = 1:length(children)
		boolean = boolean | isobj(handle,children(i));
	end
end
