%---------------------------------------------------------------
% Routine     : setvisu.m ( PLOT - set up visualization options. )
% 
% Description : Let's the user define and set options for visualization.
%               Creates Matrix visualize
%
% Language    : Matlab V4.2c
%
% Written by  : Department of Informatics, Kapila Epasinghe
%
% Version no. : 1.0 KE 02.10.96 First version
%
%
% Called by   : plottool.m
% Calling     : 
%---------------------------------------------------------------


function [visualize]=setvisu(option,flagg,visualize);

if length(visualize)<=1
   visualize=blanks(10);
end

com='00'

while com(2)~='x'
   clc
   fprintf('\t\t-------    VISUALIZATION SUBMENU    ------- \n');
   fprintf(['Option        :  ',num2str(obstxt(option)),'\n']);
   fprintf(['Coordinates   :  ',num2str(coordtxt(flagg(4))),'\n']);
   fprintf('\n\n');


   fprintf([' 1. Envelope /rf   [e/r]           :   ',visualize(1),'\n']);
   fprintf([' 2. Linear / Logarithmic [lin/log] :   ',visualize(2:4),'\n']);
   fprintf([' 3. Colormap                       :   ',visualize(5:10),'\n']);

   fprintf('\n\n');
   disp('      CHANGE = "number"');
   com = input('-> Decision (<CR> = exit): ','s');
   if isempty(com)
      com='x';
   end
   if length(com) == 1
      com=['0',com];
   end
   if length(com) > 2
      com=['00'];
   end
%
% Chage Envelope / rf  -> visualize, 1st letter
%

   if com=='01'
      temp=input(' Enter e / r   :  ','s');
      if temp=='r'
         visualize(1)='r';
         visualize(2:4)='lin';
      else
         visualize(1)='e';
      end
   end

   if com=='02'
      temp=input(' Enter lin / log :  ','s');
      if (visualize(1)=='e') & (temp == 'log')
         visualize(2:4)='log';
      else
         visualize(2:4)='lin';
      end
   end


   if com=='03'
      temp=input(' Enter Colormap name :  ','s');
      if length(temp)>6
         temp=temp(1:6);
      else
         temp=[temp,blanks(6-length(temp))];
      end
      if (temp=='hot   ') | (temp=='hsv   ') | (temp=='jet   ') | ...
         (temp=='bone  ') | (temp=='gray  ') | (temp=='pink  ') | ...
         (temp=='cool  ') | (temp=='flag  ') | (temp=='prism ') | ...
         (temp=='copper')
         visualize(5:10)=temp;
      else
         visualize(5:10)='hot   ';
      end
   end
end