%------------------------------------------------------------------------
% Routine     : tselusim.m
%
% Description : This function, called with no arguments,
%               is meant to be installed as a WindowButtonDownFcn.
%               It will select text objects when they are clicked on
%               and deselect them when another object is subsequently
%               clicked on.  
%
% Language    : Matlab 4.1
% Written by  : Keith Rogers (Transferred from the Mathworks ftp-site)
%
% Version no. : 1.0 KR 26.04.93 First version
%             : 2.0 FT 11.02.94 made compatible with Ultrasim-plottool
%
% Called by   : plottool, textfunc
% Calling     : isobj
%------------------------------------------------------------------------
function tselusim(command)


global oldtextobj;
if(nargin == 0)
	if(oldtextobj ~= gco & isobj(oldtextobj))
		set(oldtextobj,'Selected','off');
	end
	if(strcmp(get(gco,'Type'),'text')),
		set(gco,'Selected','on');
		oldtextobj = gco;
	end
elseif (command == 1)
	obj = get(gco,'UserData');
	set(obj(1),'string',get(obj(2),'string'));
	delete(obj(2));
	set(gcf,'CurrentObject',obj(1));
end
