%------------------------------------------------------------------------------
% Routine     : zoomusim.m
% Description : zooming
% Language    : Matlab 4.1
% Written by  : Vebjorn Berre, IBT
%
% Version no. : 3.0 VEB 14.01.93
% Version no. : 3.1 TKL 14.09.93 corrected header
%             : 3.2 FT  11.02.94 lets user select area to zoom 
%                                Changed name to zoomusim
%
% Called by   : plottool
% Calling     :
%------------------------------------------------------------------------------

function v=zoomusim

if length(axis)==6
   error('Sorry - Zoom does not work on 3D plots');
end;
disp('Zoom: Select lower left corner');
zoomlow=ginput(1);
disp('Zoom: Select upper right corner');
zoomhigh=ginput(1);
if zoomhigh(1)<zoomlow(1)
  disp('ERROR : Upper Right corner must be to the right of lower left corner')
elseif zoomhigh(2)<zoomlow(2)
  disp('ERROR : Upper Right corner must be above the lower left corner')
else
   v=axis;
   v([1 2 3 4])=[zoomlow(1) zoomhigh(1) zoomlow(2) zoomhigh(2)];
   axis(v);
end;


