%------------------------------------------------------------------------
% Routine     : cleanscr.m
% Description : Clean up screen and keep the original setting 
%
% Language    : Matlab 4.1
% Written by  : Vingmed Sound A/S, Trond Kleveland
%
% Version no. : 1.0 TKL 15.09.93 First version
% Version no. : 1.1 TKL 22.11.93 Changed filename from CleanUpScreen.m
%
% Called by   : usimcnf, plottool
% Calling     : none
%------------------------------------------------------------------------

function cleanscr(FigHandle,OrigHandle)

%
% get the current set of handles
% 
    CurrentHandle = get(FigHandle,'Children');   
%
% find the index to the handles to remove
% 
%
% remove all handles not original ones
%
    for k = 1 : length(CurrentHandle)
      if ~any(OrigHandle == CurrentHandle(k));
        delete(CurrentHandle(k));
      end
    end
