%------------------------------------------------------------------------
% function datetime=datetime
%
% Description : datatime returns the date and time in the following format:
%               15-MAR-1989 13:09
% Language    : Matlab syntax
% Written by  : Informasjonskontroll A/S, SH
% Version no. : 1.0
% Completed   : April 1989
% Routines called   : none
% Output parameters : datetime
% Input parameters  : none
%------------------------------------------------------------------------
function datetime=datetime

%get system time
time=fix(clock);
%
% month
months = ['JAN';'FEB';'MAR';'APR';'MAY';'JUN';'JUL';'AUG';'SEP';'OCT';'NOV';'DEC'];
% 
% special precautions for leading zeroes or spaces
%
if time(3) < 10 dayfill=' '; 
   else dayfill='';
end;
if time(4) < 10 hourfill='  ';
   else hourfill=' ';
end;
if time(5) < 10 minfill=':0';  
   else minfill=':';
end;
%
% day, month, year
datetime=[dayfill,int2str(time(3)),'-',months(time(2),:),'-',int2str(time(1))];
%
% hour and minute
datetime=[datetime,hourfill,int2str(time(4)),minfill,int2str(time(5))];
clear months dayfill hourfill minfill;
 
