%------------------------------------------------------------------------
% Routine     : fixtxt
%
% Description : for use in configuration of observation parameters
%
% Language    : Matlab 4.1
% Written by  : Vebjorn Berre, IBT
%
% Version no. : 1.0 VEB 30.03.93 
% Version no. : 1.1 TKL 16.09.93 Changed t-axis to [us]
%             : 2.0 FT  11.02.94 Changed p>phi and h>theta
%               2.1 SH  10.04.95 Added flagg(4)=4 for sin(theta) as axis
%               2.2 SH  21.01.97 Added az el to axis texts
%
% Called by   : o?usim
%------------------------------------------------------------------------

function [tekst]=fixtxt(akse,verdi)

if akse=='x' | akse=='y' | akse=='z' | akse=='r'
  tekst= [ num2str(akse) , ' \t   [mm] :  ' , num2str(verdi*1e3) ];
elseif akse=='h' 
  tekst= ['elevation',' [deg] :  ' , num2str(verdi*180/pi) ];
elseif akse=='p'
  tekst= ['azimuth',' [deg] :  ' , num2str(verdi*180/pi) ];
elseif akse=='t'
  tekst= [ num2str(akse) , ' \t   [us] :  ' , num2str(verdi*1e6) ];
elseif akse=='e'
  tekst= ['sin(theta)',' \t :  ' , num2str(verdi) ];
elseif akse=='s'
  tekst= ['sin(phi)',' \t :  ' , num2str(verdi) ];
end

