%------------------------------------------------------------------------
% Routine         : viewobsv.m
%
% Description     : View of observation-parameters
%
% Language        : Matlab syntax
% Written by      : Vebjorn Berre
%
% Version no.     : 3.0 VEB 27.10.92 First version
%                 : 3.1 FT  28.09.94 Changed point marker to +
%		  : 3.2 BJE 17.10.94 Added movie option	
%          
% Called by       : usimcnf
%------------------------------------------------------------------------

function Y=viewobsv(observasjon,x,y,z,t,option)
  
%figure(config)
  
  subplot(1,2,1),
  if option(1)=='2' | option(1)=='m'
      surf(x,y,z);
    else
      h = plot3(x,y,z);
  end
  
  if option(1)=='p'
      set(h,'linestyle','x');
  end
  
  xlabel('x'),ylabel('y'),zlabel('z');
%axis('equal');
%axis('normal');
  axis('auto');
  STOR=sqrt(sum((observasjon([5 6 7])-observasjon([1 2 3])).^2));
  STEP=STOR/observasjon(9);
  parameter=[0:STEP:STOR];
  
  e_t=(observasjon([5 6 7])-observasjon([1 2 3]));
  e_t=e_t/sqrt(sum(e_t.^2));
  e_n1=([e_t(2) -e_t(1) 0]);
  e_n1=e_n1/sqrt(sum(e_n1.^2));
  e_n2=([e_t(1)*e_t(3) e_t(2)*e_t(3) -(e_t(1)^2+e_t(2)^2)]);
  e_n2=e_n2/sqrt(sum(e_n2.^2));
  
  temp1=x*e_t(1)+y*e_t(2)+z*e_t(3);
  temp2=x*e_n1(1)+y*e_n1(2)+z*e_n1(3);
  temp3=x*e_n2(1)+y*e_n2(2)+z*e_n2(3);
  
%subplot(3,2,2),plot(parameter,temp1),xlabel('parameter'),ylabel('paralell');
%subplot(3,2,4),plot(parameter,temp2),xlabel('parameter'),ylabel('transversal1');
%subplot(3,2,6),plot(parameter,temp3),xlabel('parameter'),ylabel('transversal2');
%drawnow;
  
%subplot(3,2,2),plot(t,x),xlabel('t'),ylabel('x');
%subplot(3,2,4),plot(t,y),xlabel('t'),ylabel('y');
%subplot(3,2,6),plot(t,z),xlabel('t'),ylabel('z');
%drawnow;
  
  subplot(3,2,2);
  h = plot(x,y);
  xlabel('x');
  ylabel('y');
  if option(1)=='p' | (max(x)==min(x) & max(y)==min(y))
      set(h,'linestyle','x');
  end
  
  subplot(3,2,4);
  h = plot(y,z);
  xlabel('y');
  ylabel('z');
  if option(1)=='p' | (max(z)==min(z) & max(y)==min(y))
      set(h,'linestyle','x');
  end
  
  subplot(3,2,6);
  h = plot(x,z);
  xlabel('x');
  ylabel('z');
  if option(1)=='p' | (max(x)==min(x) & max(z)==min(z))
      set(h,'linestyle','x');
  end
  
  drawnow;
  
  
