%------------------------------------------------------------------------
% Routine         : vwhex.m
%
% Description     : View of transducer, fancy version. 
%                   Supports triangular (hexagonal) grid.
%
% Language        : Matlab syntax
% Written by      : Vebjorn Berre
% Version no.     : 3.0
% Date            : 22/4-93-93     
% Called by       : usimcnf
% Uses            : sort2.m
%------------------------------------------------------------------------

function Y=vwhex(x1,x2,x3)

disp('WAIT HEX2RECT-GRID ........')

elem_pts(1,:)=x1;
elem_pts(2,:)=x2;
elem_pts(3,:)=x3;

[Y,I]=sort2(elem_pts([2 1],:));
hexgrid=elem_pts([1 2 3],I);

% duplicate points
N=length(elem_pts(1,:));
rectgrid(:,[1:2:2*N])=hexgrid;
rectgrid(:,[2:2:2*N])=hexgrid;

x=rectgrid(1,:);
y=rectgrid(2,:);
z=rectgrid(3,:);

vwrect(x,y,z);



