%------------------------------------------------------------------------
% Routine         : vwrect.m
%
% Description     : View of transducer fancy version
%
% Language        : Matlab syntax
% Written by      : Vebjorn Berre
% Version no.     : 3.0 VEB 01.04.93
%                 : 3.1 SH  20.04.93 
%                 : 3.2 BJE 23.04.95 Removed set colormap 
%                 : 3.3 SH  20.05.96 Removed 'uitrsd' message
%    
% Called by       : usimcnf 
%------------------------------------------------------------------------

function Y=vwrect(x1,x2,x3)
  
  disp('WAIT CALCULATING SURFACE ........')
      
  elem_pts(1,:)=x1;
  elem_pts(2,:)=x2;
  elem_pts(3,:)=x3;
  
% sort points in ascending order based on the the value of y then x:
  [Y,I,dim]=sort2(elem_pts([2 1],:));
  rectgrid=elem_pts([1 2 3],I);
  x=rectgrid(1,:);
  y=rectgrid(2,:);
  z=rectgrid(3,:);
  
% find maximum-length
  nn=max(dim);
  mm=length(dim);
  
% memory allocation temporary set nyx, nyy and nyz
%nyx=ones(1,P*Q*R*S);
%nyy=nyx;
%nyz=nyx;
  
  
  ctx=0;
  lastind=0;
  while lastind<length(x)
      ctx=ctx+1;
      tmpind=find(y==y(lastind+1));
      ind=[tmpind(1):1:tmpind(length(tmpind))];
      ltmp=(nn-length(ind))/2;
      
      nyx([(ctx-1)*nn+1:1:ctx*nn])=[x(ind(1))*ones(1,ltmp)  x(ind) x(ind(length(ind)))*ones(1,ltmp) ];
      nyy([(ctx-1)*nn+1:1:ctx*nn])=[y(ind(1))*ones(1,ltmp)  y(ind) y(ind(length(ind)))*ones(1,ltmp) ];
      nyz([(ctx-1)*nn+1:1:ctx*nn])=[z(ind(1))*ones(1,ltmp)  z(ind) z(ind(length(ind)))*ones(1,ltmp) ];
      lastind=ind(length(ind));
  end
  
  disp('WAIT PLOTTING........')
      
  xx=reshape(nyx,nn,mm);
  yy=reshape(nyy,nn,mm);
  zz=reshape(nyz,nn,mm);
  
  surfl(xx,yy,zz)
  
  disp('Finished!')
%  disp('Enter ''uitrsd'' to get pop-ups and sliders for controlling the plot')
  fprintf('\n');

  
  
  
  
  
  
